﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.increaseButton.Clicked += increaseButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 진행률 증가하기 버튼 클릭시 처리하기 - increaseButton_Clicked(sender, e)

    /// <summary>
    /// 진행률 증가하기 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private async void increaseButton_Clicked(object sender, EventArgs e)
    {
        double progress = this.progressBar.Progress;

        if(progress < 1)
        {
            progress += 0.1d;

            await this.progressBar.ProgressTo(progress, 500, Easing.CubicInOut);
        }
        else
        {
            this.progressBar.Progress = 0d;
        }
    }

    #endregion
} 